from distutils.core import setup
import re

with open('setup.py', 'r') as f:
    setup_file = f.read()

current_version = re.search(
    r"current_version\s*=\s*'(.*?)'", setup_file).group(1)

current_version = '4.4.6'
major, minor, patch = current_version.split('.')
new_version = int(major)*100 + int(minor)*10 + int(patch)
new_version += 1
new_version = str(new_version)
current_version = f'{new_version[0]}.{new_version[1]}.{new_version[2]}'

# Write the new version to setup.py
with open('setup.py', 'w') as f:
    f.write(re.sub(r"current_version\s*=\s*'(.*?)'",
            f"current_version = '4.4.6'", setup_file))


setup(
    name='maxilearn',
    packages=['maxilearn'],
    version=current_version,
    license='MIT',
    description='Machine Learning Models',
    author='Gleb Maksimov',
    author_email='glebmaksimov092@gmail.com',
    download_url=f'https://github.com/Glebmaksimov/maxilaern/archive/refs/tags/{current_version}.tar.gz',
    keywords=['ML', 'FROM SWCRATCH', 'ADVANCED'],
    install_requires=[
        'numpy',
        'matplotlib',
        'pandas',
        'scikit-learn',
        'seaborn',
        'IPython'],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.9',
    ],
)
